Index: trunk/LMDZ.TITAN/deftank/callphys.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/callphys.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/callphys.def	(revision 1681)
@@ -0,0 +1,111 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .false.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .true.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .false.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 1
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .true.
+# check if cpp matches gases.def (should be false in 1d)
+check_cpp_match = .false.
+# force cpp and mugaz values from gases.def (should be false in 1d)
+force_cpp = .false.
+
+## Directory where external input files are
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+datadir     = ../../datagcm
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 5
+# Use blackbody for stellar spectrum ?
+stelbbody    = .false.
+# Stellar blackbody temperature ?
+stelTbb      = 2000.000
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# folder in which correlated-k data is stored ?
+  corrkdir   = 23x23_nocia_z55_T220
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# call continuum in radiative transfer ?
+Continuum = .true.
+# Allow temperatures above kmatrix tmax
+strictboundcorrk = .false.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .true.
+# Uniform absorption coefficient in radiative transfer?
+graybody     = .false.
+# Constant absorption coefficient in visible 
+#      (in m^2/kg; only if graybody=true):
+#      tau_surf= kappa*P/g
+kappa_VI = 0.
+# Constant absorption coefficient in IR
+#      (in m^2/kg; only if graybody=true):
+kappa_IR = 0.
+# Use Newtonian cooling in place of radiative transfer ?
+newtonian    = .false.
+# Radiative timescale for Newtonian cooling ? [only if newtonian = T]
+tau_relax    = 30.00000
+# Test physics timescale in 1D ?
+testradtimes = .false.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 94.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .false.
+# Remove lower boundary (e.g. for gas giant sims)
+noradsurf    = .false. 
+
+## Chemistry
+## ~~~~~~~~~
+# call chemistry ? (must have tracer=true)
+callchim = .false.
+# chemistry is computed every "ichim" phys. timestep
+ichim = 20
+# Activate zonal mean ? (must match callchim)
+moyzon_ch = .false.
+
+## Star type
+## ~~~~~~~~~
+startype = 1
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+Fat1AU = 1366.0
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (just H2O ice for now) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true.
+# use turbdiff instead of vdifc ?
+UseTurbDiff = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
Index: trunk/LMDZ.TITAN/deftank/diagfi.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/diagfi.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/diagfi.def	(revision 1681)
@@ -0,0 +1,18 @@
+ISR
+ASR
+pphi
+Ls
+tsurf
+ps
+temp
+u
+v
+w
+p
+q2
+sensibFlux
+zdtsw
+zdtlw
+zdtdyn
+zdudif
+zdudyn
Index: trunk/LMDZ.TITAN/deftank/gases.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/gases.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/gases.def	(revision 1681)
@@ -0,0 +1,9 @@
+# gases
+10
+0.985
+0.015
+0.001
+
+# N2, CH4 and H2 ratio for reference level (index in first line)
+# Is used for cpp_mu calculations only
+# Vertical profile for CH4 is read in profile.def or given by chemistry
Index: trunk/LMDZ.TITAN/deftank/profile.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/profile.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/profile.def	(revision 1681)
@@ -0,0 +1,56 @@
+#profile
+0.01443
+0.01443
+0.01443
+0.01442
+0.01442
+0.01442
+0.01442
+0.01442
+0.01442
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01443
+0.01442
+0.01442
+0.01441
+0.01439
+0.01438
+0.01436
+0.01434
+0.01431
+0.01427
+0.01423
+0.01419
+0.01414
+0.01410
+0.01406
+0.01403
+0.01401
+0.01399
+0.01398
+0.01398
+0.01400
+0.01522
+0.01835
+0.02281
+0.02810
+0.03370
+0.03926
+0.04420
+0.04781
+0.04953
+0.04964
+0.04968
+0.04982
Index: trunk/LMDZ.TITAN/deftank/run.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/run.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/run.def	(revision 1681)
@@ -0,0 +1,124 @@
+#
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Planete
+planet_type = titan
+
+# Nombre de jours d'integration                                         
+     nday=11
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+ day_step = 8000
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=500
+
+# periode d'ecriture du fichier histoire (en jour)                      
+    iecri=100
+
+# periode de stockage fichier histmoy (en jour)                         
+ periodav=60.
+
+# periode de la dissipation (en pas)                                    
+  dissip_period=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true.
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=50000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=50000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=50000.
+
+# Facteur d'amplification de la dissip en haut du modele
+  dissip_fac_up = 30.
+
+# Pression (Pa) au bas la transition mid / up
+   dissip_pupstart = 1.e1
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false.
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas)                                       
+  iphysiq=40
+
+# Titan: marees gravitationnelles
+  tidal=.true.
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+ ecritphy=2000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+# Avec sponge layer
+  callsponge  = .true.
+
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+
+# Sponge : nsponge
+  nsponge = 5
+
+# Sponge:  tetasponge (secondes)
+  tetasponge = 10000
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.TITAN/deftank/run.def.11
===================================================================
--- trunk/LMDZ.TITAN/deftank/run.def.11	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/run.def.11	(revision 1681)
@@ -0,0 +1,127 @@
+#
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Planete
+planet_type = titan
+
+# Nombre de jours d'integration                                         
+     nday=11
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+ day_step = 8000
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=500
+
+# periode d'ecriture du fichier histoire (en jour)                      
+    iecri=100
+
+# periode de stockage fichier histmoy (en jour)                         
+ periodav=60.
+
+# periode de la dissipation (en pas)                                    
+  dissip_period=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true.
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=50000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=50000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=50000.
+
+# Facteur d'amplification de la dissip en haut du modele
+  dissip_fac_up = 30.
+
+# Intervalle (km) pour le changement mid / up de la dissip
+#   dissip_deltaz = 30.
+
+# Pression (Pa) au bas la transition mid / up
+   dissip_pupstart = 1.e1
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false.
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas)                                       
+  iphysiq=40
+
+# Titan: marees gravitationnelles
+  tidal=.true.
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+ ecritphy=2000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+# Avec sponge layer
+  callsponge  = .true.
+
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+
+# Sponge : nsponge
+  nsponge = 5
+
+# Sponge:  tetasponge (secondes)
+  tetasponge = 10000
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.TITAN/deftank/run.def.12
===================================================================
--- trunk/LMDZ.TITAN/deftank/run.def.12	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/run.def.12	(revision 1681)
@@ -0,0 +1,127 @@
+#
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Planete
+planet_type = titan
+
+# Nombre de jours d'integration                                         
+     nday=12
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+ day_step = 8000
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=500
+
+# periode d'ecriture du fichier histoire (en jour)                      
+    iecri=100
+
+# periode de stockage fichier histmoy (en jour)                         
+ periodav=60.
+
+# periode de la dissipation (en pas)                                    
+  dissip_period=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true.
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=50000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=50000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=50000.
+
+# Facteur d'amplification de la dissip en haut du modele
+  dissip_fac_up = 30.
+
+# Intervalle (km) pour le changement mid / up de la dissip
+#   dissip_deltaz = 50.
+
+# Pression (Pa) au bas la transition mid / up
+   dissip_pupstart = 1.e1
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false.
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas)                                       
+  iphysiq=40
+
+# Titan: marees gravitationnelles
+  tidal=.true.
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+ ecritphy=2000
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+# Avec sponge layer
+  callsponge  = .true.
+
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+
+# Sponge : nsponge
+  nsponge = 5
+
+# Sponge:  tetasponge (secondes)
+  tetasponge = 10000
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: trunk/LMDZ.TITAN/deftank/traceur.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/traceur.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/traceur.def	(revision 1681)
@@ -0,0 +1,1 @@
+0
Index: trunk/LMDZ.TITAN/deftank/traceur.def.kim
===================================================================
--- trunk/LMDZ.TITAN/deftank/traceur.def.kim	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/traceur.def.kim	(revision 1681)
@@ -0,0 +1,45 @@
+44
+H
+H2
+CH
+CH2s
+CH2
+CH3
+CH4
+C2
+C2H
+C2H2
+C2H3
+C2H4
+C2H5
+C2H6
+C3H3
+C3H5
+C3H6
+C3H7
+C4H
+C4H3
+C4H4
+C4H2s
+CH2CCH2
+CH3CCH
+C3H8
+C4H2
+C4H6
+C4H10
+AC6H6
+C3H2
+C4H5
+AC6H5
+N2
+N4S
+CN
+HCN
+H2CN
+CHCN
+CH2CN
+CH3CN
+C3N
+HC3N
+NCCN
+C4N2
Index: trunk/LMDZ.TITAN/deftank/z2sig.def
===================================================================
--- trunk/LMDZ.TITAN/deftank/z2sig.def	(revision 1681)
+++ trunk/LMDZ.TITAN/deftank/z2sig.def	(revision 1681)
@@ -0,0 +1,56 @@
+ 40.00000      H: atmospheric scale height (km) (used as a reference only)
+  0.040000000     Typical log(sigma) for 1st layer (z=H*log(sigma))
+  0.240000000     Typical log(sigma) for 2nd layer, etc...
+  0.640000000
+  1.600000000
+  3.600000000
+  7.200000000
+ 12.457209840
+ 17.390108120
+ 23.191633240
+ 29.808692920
+ 37.172176840
+ 45.206308400
+ 53.831887200
+ 62.973513600
+ 72.558302800
+ 82.522678400
+ 92.806120000
+103.360567200
+114.137802000
+125.105094800
+136.223478400
+147.474737200
+158.824243600
+170.268688400
+181.771335600
+193.346900800
+204.947319200
+216.613330800
+228.270988400
+240.003299600
+251.685886400
+263.474598000
+275.151500800
+287.001610000
+298.636570000
+310.572548000
+322.112846400
+334.189224400
+345.548553600
+357.870636000
+368.899574400
+381.662178000
+392.096252400
+405.654832000
+417.023764000
+430.028000000
+443.499352000
+456.162812000
+469.293936000
+472.097320000
+485.525628000
+510.559464000
+525.345664000
+540.110748000
+556.096956000