Index: trunk/LMDZ.GENERIC/libf/phystd/bilinearbig.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/bilinearbig.F90	(revision 1694)
+++ trunk/LMDZ.GENERIC/libf/phystd/bilinearbig.F90	(revision 1699)
@@ -56,11 +56,18 @@
 !     ... and for y within the temperature range
       if ((y.lt.y_arr(1)).or.(y.gt.y_arr(nY))) then
-         write(*,*) 'Warning from bilinearbig routine:'
-         write(*,*) 'Outside continuum temperature range!'
+         print*,y_arr(1),y_arr(nY)
+         !write(*,*) 'Warning from bilinearbig routine:'
+         !write(*,*) 'Outside continuum temperature range!'
          if(y.lt.y_arr(1))then
             y=y_arr(1)+0.01
+            b=1
+            y1=y_arr(b)
+            y2=y_arr(b+1)
          endif
          if(y.gt.y_arr(nY))then
             y=y_arr(nY)-0.01
+            b=nY-1
+            y1=y_arr(b)
+            y2=y_arr(b+1)
          endif
       else
Index: trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1694)
+++ trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1699)
@@ -9,4 +9,5 @@
           clearsky,firstcall,lastcall)
 
+      use mod_phys_lmdz_para, only : is_master
       use radinc_h
       use radcommon_h
@@ -281,23 +282,31 @@
          if ((iaer.eq.iaero_co2).and.tracer.and.(igcm_co2_ice.gt.0)) then ! Treat condensed co2 particles.
             call co2_reffrad(ngrid,nlayer,nq,pq,reffrad(1,1,iaero_co2))
-            print*,'Max. CO2 ice particle size = ',maxval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-            print*,'Min. CO2 ice particle size = ',minval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-         end if
+            if (is_master) then
+	       print*,'Max. CO2 ice particle size = ',maxval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
+               print*,'Min. CO2 ice particle size = ',minval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
+            end if
+	 end if
          
          if ((iaer.eq.iaero_h2o).and.water) then ! Treat condensed water particles. To be generalized for other aerosols ...
             call h2o_reffrad(ngrid,nlayer,pq(1,1,igcm_h2o_ice),pt, &
                              reffrad(1,1,iaero_h2o),nueffrad(1,1,iaero_h2o))
-            print*,'Max. H2O cloud particle size = ',maxval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
-            print*,'Min. H2O cloud particle size = ',minval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
+            if (is_master) then
+               print*,'Max. H2O cloud particle size = ',maxval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
+               print*,'Min. H2O cloud particle size = ',minval(reffrad(1:ngrid,1:nlayer,iaer))/1.e-6,' um'
+            end if
          endif
          
          if(iaer.eq.iaero_dust)then
             call dust_reffrad(ngrid,nlayer,reffrad(1,1,iaero_dust))
-            print*,'Dust particle size = ',reffrad(1,1,iaer)/1.e-6,' um'
+            if (is_master) then
+               print*,'Dust particle size = ',reffrad(1,1,iaer)/1.e-6,' um'
+            end if
          endif
          
          if(iaer.eq.iaero_h2so4)then
             call h2so4_reffrad(ngrid,nlayer,reffrad(1,1,iaero_h2so4))
-            print*,'H2SO4 particle size =',reffrad(1,1,iaer)/1.e-6,' um'
+            if (is_master) then
+               print*,'H2SO4 particle size =',reffrad(1,1,iaer)/1.e-6,' um'
+            end if
          endif
          
Index: trunk/LMDZ.GENERIC/libf/phystd/physiq_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq_mod.F90	(revision 1694)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq_mod.F90	(revision 1699)
@@ -1689,9 +1689,11 @@
       if(callsoil)then
          TsS = SUM(cell_area(:)*tsoil(:,nsoilmx))/totarea        ! mean temperature at bottom soil layer
-         print*,'  ave[Tsurf]     min[Tsurf]     max[Tsurf]     ave[Tdeep]'
-         print*,Ts1,Ts2,Ts3,TsS
+         if (is_master) then
+            print*,'          ave[Tsurf]             min[Tsurf]             max[Tsurf]             ave[Tdeep]'
+            print*,Ts1,Ts2,Ts3,TsS
+         end if
       else
-               if (is_master) then
-            print*,'  ave[Tsurf]     min[Tsurf]     max[Tsurf]'
+         if (is_master) then
+            print*,'          ave[Tsurf]             min[Tsurf]             max[Tsurf]'
             print*,Ts1,Ts2,Ts3
          endif
@@ -1841,5 +1843,5 @@
 
 
-      print*,'--> Ls =',zls*180./pi
+      if (is_master) print*,'--> Ls =',zls*180./pi
       
       