Index: trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/conf_phys.F90	(revision 1726)
@@ -49,5 +49,4 @@
 !Config  Help = Cette option permet d'eteidre le cycle diurne.
 !Config         Peut etre util pour accelerer le code !
-       !cycle_diurne = .FALSE.
        cycle_diurne = .TRUE.       
        call getin('cycle_diurne',cycle_diurne)
@@ -67,5 +66,5 @@
 !Config  Help = GW drag orographie
 !Config         
-       ok_orodr = .true.
+       ok_orodr = .false.
        call getin('ok_orodr',ok_orodr)
 
@@ -74,5 +73,5 @@
 !Config  Def  = n
 !Config  Help = GW lift orographie (pas utilise)
-       ok_orolf = .true.
+       ok_orolf = .false.
        call getin('ok_orolf', ok_orolf)
 
@@ -81,5 +80,5 @@
 !Config  Def  = n
 !Config  Help = GW drag non-orographique
-       ok_gw_nonoro = .true.
+       ok_gw_nonoro = .false.
        call getin('ok_gw_nonoro',ok_gw_nonoro)
 
@@ -124,9 +123,9 @@
 !Config Key  = OK_mensuel
 !Config Desc = Pour des sorties mensuelles 
-!Config Def  = .true.
+!Config Def  = .false.
 !Config Help = Pour creer le fichier histmth contenant les sorties
 !              mensuelles 
 !
-  ok_mensuel = .true.
+  ok_mensuel = .false.
   call getin('OK_mensuel', ok_mensuel)
 !
@@ -343,6 +342,17 @@
 !
   ok_cloud = .false.
-  !ok_cloud = .true.
   call getin('ok_cloud',ok_cloud)
+
+!
+!Config Key  = cl_scheme
+!Config Desc =
+!Config Def  = 2
+!Config Help =
+!
+! 1   = Simple microphysics (Aurelien Stolzenbach's PhD)
+! 2   = Full microphysics (momentum scheme, Sabrina Guilbon's PhD)
+
+  cl_scheme = 2
+  call getin('cl_scheme',cl_scheme)
 
 !
@@ -353,5 +363,4 @@
 !
   ok_chem = .false.
-  !ok_chem = .TRUE.
   call getin('ok_chem',ok_chem)
 
@@ -372,5 +381,4 @@
 !
   ok_sedim = .false.
-  !ok_sedim=.TRUE.
   call getin('ok_sedim',ok_sedim)
 
@@ -505,4 +513,5 @@
   write(numout,*)' reinit_trac = ',reinit_trac
   write(numout,*)' ok_cloud = ',ok_cloud
+  write(numout,*)' cl_scheme = ',cl_scheme
   write(numout,*)' ok_chem = ',ok_chem
   write(numout,*)' ok_sedim = ',ok_sedim
Index: trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/dyn1d/rcm1d.F	(revision 1726)
@@ -451,6 +451,16 @@
         ENDDO
 
+c       calcul des traceurs au pas de temps suivant
+c       -------------------------------------------
+        if (iflag_trac.eq.1) then
+         DO iq=1,nqtot
+          DO ilayer=1,nlayer
+           q(ilayer,iq)=q(ilayer,iq)+dq(ilayer,iq)*dtphys
+          ENDDO
+         ENDDO
+        endif
+
 c       calcul des pressions au pas de temps suivant
-c       ----------------------------------------------------------
+c       --------------------------------------------
 
            psurf=psurf+dtphys*dpsurf(1)   ! evolution de la pression de surface
Index: trunk/LMDZ.VENUS/libf/phyvenus/load_ksi.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/load_ksi.F	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/load_ksi.F	(revision 1726)
@@ -38,5 +38,7 @@
       character*9 tmp1
       character*100 file
-      CHARACTER*3 str2
+      CHARACTER*2 str2
+      CHARACTER*3 str3
+      CHARACTER*10 format_lect 
       real   lambda(nnuve)            ! wavelenght in table (mu->m, middle of interval)
       real   lambdamin(nnuve),lambdamax(nnuve) ! in microns
@@ -99,10 +101,15 @@
         endif
 c     Now reading ksi matrix index "mat"
-        !write(str2,'(i2.2)') m+2
-        write(str2,'(i3.3)') m+2
+        if ((m+2).ge.100) then
+          write(str3,'(i3.3)') m+2
+          format_lect='('//str3//'e17.9)'
+        else
+          write(str2,'(i2.2)') m+2
+          format_lect='('//str2//'e17.9)'
+        endif
         do band=1,Nb
          read(10,*) lambdamin(band),lambdamax(band)
          do i=0,m+1
-            read(10,'('//str2//'e17.9)') (ksive(i,j,band,mat),j=0,m+1) ! no unit
+            read(10,format_lect) (ksive(i,j,band,mat),j=0,m+1) ! no unit
          enddo                  ! i
         enddo                     ! band
Index: trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/physiq_mod.F	(revision 1726)
@@ -732,6 +732,7 @@
            
 c INIT PHOTOCHEMISTRY ! includes the indexation of microphys tracers
-      if ((nlon .GT. 1) .AND. ok_chem) then
-c !!! DONC 3D !!!
+c     if ((nlon .GT. 1) .AND. ok_chem) then
+c !!! DONC 3D !!!  POURQUOI ???
+      if (ok_chem) then
         CALL chemparam_ini() 
       endif
@@ -1920,6 +1921,11 @@
          ENDDO
 
-        IF ((tr_scheme.eq.3).and.(ok_sedim).and.(cl_scheme.eq.1)) THEN
-       CALL send_xios_field("Fsedim",Fsedim(:,1:klev))
+        IF ((tr_scheme.eq.3).and.(cl_scheme.eq.1)) THEN
+c liquids  !!!outputs in [vmr]
+         CALL send_xios_field(tname(i_h2oliq),
+     .             qx(:,:,i_h2oliq)*mmean(:,:)/M_tr(i_h2oliq))
+         CALL send_xios_field(tname(i_h2so4liq),
+     .             qx(:,:,i_h2so4liq)*mmean(:,:)/M_tr(i_h2so4liq))
+         if (ok_sedim) CALL send_xios_field("Fsedim",Fsedim(:,1:klev))
         ENDIF
       ENDIF
Index: trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/phytrac_chimie.F	(revision 1726)
@@ -273,4 +273,5 @@
          DO ilev=1, n_lev
 
+         if (temp(ilon,ilev).lt.500.) then
            CALL MAD_MUPHY(pdtphys,                               ! Timestep
      &  temp(ilon,ilev),pplay(ilon,ilev),                        ! Temperature and pressure
@@ -283,5 +284,18 @@
      &  trac(ilon,ilev,i_m3_mode2sa),trac(ilon,ilev,i_m3_mode2w),      ! Moments of mode 2
      &  trac(ilon,ilev,i_m3_mode2ccn))                                 ! Moments of mode 2
-
+          else
+           trac(ilon,ilev,i_m0_aer)=0. 
+           trac(ilon,ilev,i_m3_aer)=0.
+           trac(ilon,ilev,i_m0_mode1drop)=0.
+           trac(ilon,ilev,i_m0_mode1ccn)=0.
+           trac(ilon,ilev,i_m3_mode1sa)=0.
+           trac(ilon,ilev,i_m3_mode1w)=0.
+           trac(ilon,ilev,i_m3_mode1ccn)=0.
+           trac(ilon,ilev,i_m0_mode2drop)=0.
+           trac(ilon,ilev,i_m0_mode2ccn)=0.
+           trac(ilon,ilev,i_m3_mode2sa)=0.
+           trac(ilon,ilev,i_m3_mode2w)=0.
+           trac(ilon,ilev,i_m3_mode2ccn)=0.
+          endif
          ENDDO
         ENDDO
Index: trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/radlwsw.F	(revision 1726)
@@ -562,6 +562,7 @@
 c      CALL SW_venus_dc_1Dglobave(zrmu0,zfract,   ! pour moy globale
 c      CALL SW_venus_dc(zrmu0,zfract,
+c      CALL SW_venus_rh_1Dglobave(zrmu0,zfract,   ! pour moy globale
+c     S        PPB,temp, 
       CALL SW_venus_rh(zrmu0,zfract,latdeg,
-c      CALL SW_venus_rh_1Dglobave(zrmu0,zfract,   ! pour moy globale
      S        PPA,PPB,temp, 
      S        zheat, 
Index: trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh.F
===================================================================
--- trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh.F	(revision 1723)
+++ trunk/LMDZ.VENUS/libf/phyvenus/sw_venus_rh.F	(revision 1726)
@@ -59,5 +59,5 @@
       real   solza(nszarh,nlatrh)       ! solar zenith angles in table
       real   presrh(nlrh+1)             ! pressure in table (bar)
-      real   logplaydc(nlrh)
+      real   logplayrh(nlrh)
       real   altrh(nlrh+1)              ! altitude in table (km)
       real   latrh(nlatrh)              ! latitude in table (degrees)
@@ -70,8 +70,8 @@
       save   firstcall
       real   Tplay(nlrh)
-      real   Qdc1(nlrh)
-      real   Qdc2(nlrh)
-      real   Qdc3(nlrh)
-      real   Qdc4(nlrh)
+      real   Qrh1(nlrh)
+      real   Qrh2(nlrh)
+      real   Qrh3(nlrh)
+      real   Qrh4(nlrh)
       
 c ------------------------
@@ -198,17 +198,17 @@
 
 #ifdef MESOSCALE
-! extrapolation play DCrisp pressure
+! extrapolation play RH pressure
       do j=1,nlrh
-         logplaydc(j)=(log(presrh(j+1))+log(presrh(j)))/2.
-      enddo
-! Extrapolation of temperature over DCrisp play pressure
+         logplayrh(j)=(log(presrh(j+1))+log(presrh(j)))/2.
+      enddo
+! Extrapolation of temperature over RH play pressure
       do i=nlrh,2,-1
         nl0 = 2
         do j=1,klev-1
-           if (exp(logplaydc(i)).le.PPA(j)) then
+           if (exp(logplayrh(i)).le.PPA(j)) then
                 nl0 = j+1
            endif
         enddo
-        factflux = (log10(max(exp(logplaydc(i)),PPA(klev)))
+        factflux = (log10(max(exp(logplayrh(i)),PPA(klev)))
      .                         -log10(PPA(nl0-1)))
      .       /(log10(PPA(nl0))-log10(PPA(nl0-1)))
@@ -217,29 +217,29 @@
 
       ENDDO
-! DCrisp PHEAT over DCrisp play pressure
+! RH PHEAT over RH play pressure
       DO k=1,nlrh
 c
-       Qdc1(k)=((RG/cpdet(Tplay(k)))
+       Qrh1(k)=((RG/cpdet(Tplay(k)))
      .     *((zsnet(k+1,nsza0(1),nlat0-1)-zsnet(k,nsza0(1),nlat0-1))
      .         *PFRAC))
      .      /((presrh(k)-presrh(k+1))*1.e5)
-       Qdc2(k)=((RG/cpdet(Tplay(k)))
+       Qrh2(k)=((RG/cpdet(Tplay(k)))
      . *((zsnet(k+1,nsza0(1)-1,nlat0-1)-zsnet(k,nsza0(1)-1,nlat0-1))
      .         *PFRAC))
      .      /((presrh(k)-presrh(k+1))*1.e5)
-       Qdc3(k)=((RG/cpdet(Tplay(k)))
+       Qrh3(k)=((RG/cpdet(Tplay(k)))
      .       *((zsnet(k+1,nsza0(2),nlat0)-zsnet(k,nsza0(2),nlat0))
      .         *PFRAC))
      .      /((presrh(k)-presrh(k+1))*1.e5)
-       Qdc4(k)=((RG/cpdet(Tplay(k)))
+       Qrh4(k)=((RG/cpdet(Tplay(k)))
      .       *((zsnet(k+1,nsza0(2)-1,nlat0)-zsnet(k,nsza0(2)-1,nlat0))
      .        *PFRAC))
      .      /((presrh(k)-presrh(k+1))*1.e5)
       ENDDO
-! Interapolation of PHEAT over GCM/MESOSCALE play lelv
+! Interapolation of PHEAT over GCM/MESOSCALE play levels
       do j=1,klev
         nl0 = nlrh-1
         do i=nlrh,2,-1
-           if (exp(logplaydc(i)).ge.PPA(j)) then
+           if (exp(logplayrh(i)).ge.PPA(j)) then
                 nl0 = i-1
            endif
@@ -247,17 +247,17 @@
 c        factflux = (log10(max(PPB(j),presrh(1)))-log10(presrh(nl0+1)))
 c     .            /(log10(presrh(nl0))-log10(presrh(nl0+1)))
-        factflux = (log10(max(PPA(j),exp(logplaydc(1))))
-     .                         -log10(exp(logplaydc(nl0+1))))
-     .     /(log10(exp(logplaydc(nl0)))-log10(exp(logplaydc(nl0+1))))
+        factflux = (log10(max(PPA(j),exp(logplayrh(1))))
+     .                         -log10(exp(logplayrh(nl0+1))))
+     .     /(log10(exp(logplayrh(nl0)))-log10(exp(logplayrh(nl0+1))))
         PHEATPPA(j)=factlat*(
-     .      factflux   *  factsza(2)  *Qdc3(nl0)
-     . +   factflux   *(1.-factsza(2))*Qdc4(nl0)
-     . + (1.-factflux)*  factsza(2)   *Qdc3(nl0+1)
-     . + (1.-factflux)*(1.-factsza(2))*Qdc4(nl0+1))
+     .      factflux   *  factsza(2)  *Qrh3(nl0)
+     . +   factflux   *(1.-factsza(2))*Qrh4(nl0)
+     . + (1.-factflux)*  factsza(2)   *Qrh3(nl0+1)
+     . + (1.-factflux)*(1.-factsza(2))*Qrh4(nl0+1))
      .            + (1.-factlat)*(
-     .      factflux   *  factsza(1)   *Qdc1(nl0)
-     . +   factflux   *(1.-factsza(1))*Qdc2(nl0)
-     . + (1.-factflux)*  factsza(1)   *Qdc1(nl0+1)
-     . + (1.-factflux)*(1.-factsza(1))*Qdc2(nl0+1) )
+     .      factflux   *  factsza(1)  *Qrh1(nl0)
+     . +   factflux   *(1.-factsza(1))*Qrh2(nl0)
+     . + (1.-factflux)*  factsza(1)   *Qrh1(nl0+1)
+     . + (1.-factflux)*(1.-factsza(1))*Qrh2(nl0+1) )
         PHEAT(j)=PHEATPPA(j)
       ENDDO
@@ -275,5 +275,5 @@
       do j=1,klev
 ! ADAPTATION GCM POUR CP(T)
-         PHEAT(j) = PHEATPPA(j)
+        PHEAT(j) = (ZFSNET(j+1)-ZFSNET(j))
      .            *RG/cpdet(pt(j)) / ((PPB(j)-PPB(j+1))*1.e5)
 c-----TEST-------
@@ -281,7 +281,7 @@
         if ((PPB(j).gt.1.4).and.(PPB(j).le.10.)) then
          PHEAT(j) = PHEAT(j)*3
-!        endif
+        endif
 c----------------
-!      enddo
+      enddo
 #endif
      