Index: trunk/LMDZ.MARS/libf/phymars/albedocaps.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/albedocaps.F90	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/albedocaps.F90	(revision 1779)
@@ -27,4 +27,5 @@
 
 ! 1. Initializations
+! AS: OK firstcall absolute
 if (firstcall) then
   ! find out if user wants to use TES cap albedoes or not
Index: trunk/LMDZ.MARS/libf/phymars/callsedim.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/callsedim.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/callsedim.F	(revision 1779)
@@ -136,4 +136,5 @@
 c       --------------------------
 
+      ! AS: firstcall OK absolute
       IF (firstcall) THEN
          
Index: trunk/LMDZ.MARS/libf/phymars/co2snow.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/co2snow.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/co2snow.F	(revision 1779)
@@ -52,4 +52,5 @@
 c --------------
 
+      ! AS: firstcall OK absolute
       if (firstcall) then
 
Index: trunk/LMDZ.MARS/libf/phymars/convadj.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/convadj.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/convadj.F	(revision 1779)
@@ -90,4 +90,5 @@
 !     --------------
 
+      ! AS: OK firstcall absolute
       IF (firstcall) THEN 
 
Index: trunk/LMDZ.MARS/libf/phymars/dustdevil.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dustdevil.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/dustdevil.F	(revision 1779)
@@ -86,4 +86,5 @@
 c    --------------
 
+      ! AS: OK firstcall absolute
       IF (firstcall) THEN
 
Index: trunk/LMDZ.MARS/libf/phymars/improvedclouds.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/improvedclouds.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/improvedclouds.F	(revision 1779)
@@ -136,4 +136,5 @@
 c------------------------------------------------------------------
 
+      ! AS: firstcall OK absolute
       IF (firstcall) THEN
 !=============================================================
Index: trunk/LMDZ.MARS/libf/phymars/newcondens.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/newcondens.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/newcondens.F	(revision 1779)
@@ -178,4 +178,5 @@
 c   --------------
 c
+      ! AS: firstcall OK absolute
       IF (firstcall) THEN
          
Index: trunk/LMDZ.MARS/libf/phymars/newsedim.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/newsedim.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/newsedim.F	(revision 1779)
@@ -68,4 +68,5 @@
 c       --------------------------
 
+      ! AS: OK firstcall absolute
       IF (firstcall) THEN
 
Index: trunk/LMDZ.MARS/libf/phymars/nirco2abs.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nirco2abs.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/nirco2abs.F	(revision 1779)
@@ -102,4 +102,5 @@
 c     Initialisation
 c     --------------
+      ! AS: OK firstcall absolute
       if (firstcall) then
         if (nircorr.eq.1) then
Index: trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90	(revision 1779)
@@ -39,4 +39,5 @@
 realday=mod(zday,669.)
 
+! AS: firstcall OK absolute
 if (firstcall) then
    firstcall=.false.
Index: trunk/LMDZ.MARS/libf/phymars/simpleclouds.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/simpleclouds.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/simpleclouds.F	(revision 1779)
@@ -62,6 +62,4 @@
 c     Local variables:
 
-      LOGICAL,SAVE :: firstcall = .true.
-            
       REAL rhocloud(ngrid,nlay)  ! Cloud density (kg.m-3)
 
Index: trunk/LMDZ.MARS/libf/phymars/vdif_kc.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/vdif_kc.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/vdif_kc.F	(revision 1779)
@@ -220,4 +220,5 @@
 c.......................................................................
 
+      ! AS: OK firstcall absolute
       if(firstcall) then
         ico2=0
Index: trunk/LMDZ.MARS/libf/phymars/vdifc.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/vdifc.F	(revision 1776)
+++ trunk/LMDZ.MARS/libf/phymars/vdifc.F	(revision 1779)
@@ -151,4 +151,5 @@
 c       --------------------------
 
+      ! AS: OK firstcall absolute
       IF (firstcall) THEN
 c        To compute: Tcond= 1./(bcond-acond*log(.0095*p)) (p in pascal)