Index: trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 1764)
+++ trunk/LMDZ.TITAN/libf/phytitan/callcorrk.F90	(revision 1781)
@@ -587,9 +587,9 @@
             call optcv(dtauv,tauv,taucumv,plevrad,                 &
                  qxvaer,qsvaer,gvaer,wbarv,cosbv,tauray,tauaero,   &
-                 tmid,pmid,taugsurf,gweight)
+                 tmid,pmid,taugsurf)
 
             call sfluxv(dtauv,tauv,taucumv,albv,dwnv,wbarv,cosbv,  &
-                 acosz,stel_fract,gweight,                         &
-                 nfluxtopv,fluxtopvdn,nfluxoutv_nu,nfluxgndv_nu,              &
+                 acosz,stel_fract,                                 &
+                 nfluxtopv,fluxtopvdn,nfluxoutv_nu,nfluxgndv_nu,   &
                  fmnetv,fluxupv,fluxdnv,fzerov,taugsurf)
 
@@ -630,8 +630,8 @@
          call optci(plevrad,tlevrad,dtaui,taucumi,                  &
               qxiaer,qsiaer,giaer,cosbi,wbari,tauaero,tmid,pmid,    &
-              taugsurfi,gweight)
+              taugsurfi)
 
          call sfluxi(plevrad,tlevrad,dtaui,taucumi,ubari,albi,      &
-              wnoi,dwni,cosbi,wbari,gweight,nfluxtopi,nfluxtopi_nu, & 
+              wnoi,dwni,cosbi,wbari,nfluxtopi,nfluxtopi_nu,         & 
               fmneti,fluxupi,fluxdni,fluxupi_nu,fzeroi,taugsurfi)
 
Index: trunk/LMDZ.TITAN/libf/phytitan/optci.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 1764)
+++ trunk/LMDZ.TITAN/libf/phytitan/optci.F90	(revision 1781)
@@ -1,8 +1,8 @@
 subroutine optci(PLEV,TLEV,DTAUI,TAUCUMI,      &
      QXIAER,QSIAER,GIAER,COSBI,WBARI,TAUAERO,  &
-     TMID,PMID,TAUGSURF,GWEIGHT)
+     TMID,PMID,TAUGSURF)
 
   use radinc_h
-  use radcommon_h, only: gasi,tlimit,Cmk,tgasref,pfgasref,wnoi,scalep,indi,glat_ig
+  use radcommon_h, only: gasi,tlimit,Cmk,tgasref,pfgasref,wnoi,scalep,indi,glat_ig,gweight
   use gases_h
   use comcstfi_mod, only: g, r
@@ -51,5 +51,4 @@
   ! Titan customisation
   ! J. Vatant d'Ollone (2016)
-  real*8 GWEIGHT(L_NGAUSS)
   real*8 DHAZE_T(L_LEVELS,L_NSPECTI)
   real*8 DHAZES_T(L_LEVELS,L_NSPECTI)
Index: trunk/LMDZ.TITAN/libf/phytitan/optcv.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 1764)
+++ trunk/LMDZ.TITAN/libf/phytitan/optcv.F90	(revision 1781)
@@ -1,8 +1,8 @@
 SUBROUTINE OPTCV(DTAUV,TAUV,TAUCUMV,PLEV,  &
      QXVAER,QSVAER,GVAER,WBARV,COSBV,       &
-     TAURAY,TAUAERO,TMID,PMID,TAUGSURF,GWEIGHT)
+     TAURAY,TAUAERO,TMID,PMID,TAUGSURF)
 
   use radinc_h
-  use radcommon_h, only: gasv, tlimit, Cmk, tgasref, pfgasref,wnov,scalep,indv,glat_ig
+  use radcommon_h, only: gasv, tlimit, Cmk, tgasref, pfgasref,wnov,scalep,indv,glat_ig,gweight
   use gases_h
   use comcstfi_mod, only: g, r
@@ -57,5 +57,4 @@
   ! Titan customisation
   ! J. Vatant d'Ollone (2016)
-  real*8 GWEIGHT(L_NGAUSS)
   real*8 DHAZE_T(L_LEVELS,L_NSPECTI)
   real*8 DHAZES_T(L_LEVELS,L_NSPECTI)
Index: trunk/LMDZ.TITAN/libf/phytitan/sfluxi.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/sfluxi.F	(revision 1764)
+++ trunk/LMDZ.TITAN/libf/phytitan/sfluxi.F	(revision 1781)
@@ -1,9 +1,9 @@
       SUBROUTINE SFLUXI(PLEV,TLEV,DTAUI,TAUCUMI,UBARI,RSFI,WNOI,DWNI,
-     *                  COSBI,WBARI,GWEIGHT,NFLUXTOPI,NFLUXTOPI_nu,
+     *                  COSBI,WBARI,NFLUXTOPI,NFLUXTOPI_nu,
      *                  FMNETI,fluxupi,fluxdni,fluxupi_nu,
      *                  FZEROI,TAUGSURF)
 
       use radinc_h
-      use radcommon_h, only: planckir, tlimit,sigma
+      use radcommon_h, only: planckir, tlimit,sigma, gweight
       use comcstfi_mod, only: pi
 
@@ -20,5 +20,5 @@
       real*8 COSBI(L_NLAYRAD,L_NSPECTI,L_NGAUSS)
       real*8 WBARI(L_NLAYRAD,L_NSPECTI,L_NGAUSS)
-      real*8 GWEIGHT(L_NGAUSS), NFLUXTOPI
+      real*8 NFLUXTOPI
       real*8 NFLUXTOPI_nu(L_NSPECTI)
       real*8 fluxupi_nu(L_NLAYRAD,L_NSPECTI)
Index: trunk/LMDZ.TITAN/libf/phytitan/sfluxv.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/sfluxv.F	(revision 1764)
+++ trunk/LMDZ.TITAN/libf/phytitan/sfluxv.F	(revision 1781)
@@ -1,9 +1,9 @@
       SUBROUTINE SFLUXV(DTAUV,TAUV,TAUCUMV,RSFV,DWNV,WBARV,COSBV,
-     *                  UBAR0,STEL,GWEIGHT,NFLUXTOPV,FLUXTOPVDN,
+     *                  UBAR0,STEL,NFLUXTOPV,FLUXTOPVDN,
      *                  NFLUXOUTV_nu,NFLUXGNDV_nu,
      *                  FMNETV,FLUXUPV,FLUXDNV,FZEROV,taugsurf)
 
       use radinc_h
-      use radcommon_h, only: tlimit
+      use radcommon_h, only: tlimit, gweight
 
       implicit none
@@ -21,5 +21,4 @@
       real*8 NFLUXOUTV_nu(L_NSPECTV)
       real*8 NFLUXGNDV_nu(L_NSPECTV)
-      real*8 GWEIGHT(L_NGAUSS)
 
       integer L, NG, NW, NG1,k