Index: trunk/LMDZ.TITAN/README
===================================================================
--- trunk/LMDZ.TITAN/README	(revision 1788)
+++ trunk/LMDZ.TITAN/README	(revision 1789)
@@ -1333,2 +1333,5 @@
 Removed : aerave.F aeroptproperties.F90 radii_mod.F90 aerosol_mod.F90 aerave_new.F stokes.F90 
 vlz_fi.F callsedim.F iniaerosol.F suaer_corrk.F90 newsedim.F
+
+== 28/09/2017 == JVO
+Added the surface methane tank and put it in start files 
Index: trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/newstart.F
===================================================================
--- trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/newstart.F	(revision 1788)
+++ trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/newstart.F	(revision 1789)
@@ -162,4 +162,6 @@
       real fact2
 
+!     added by JVO for Titan
+      REAL tankCH4(ngridmx)
 
 c sortie visu pour les champs dynamiques
@@ -341,5 +343,5 @@
         CALL phyetat0(.true.,ngridmx,llm,fichnom,tab0,Lmodif,nsoilmx,
      .        nqtot,day_ini,time,
-     .        tsurf,tsoil,emis,q2,qsurf)
+     .        tsurf,tsoil,emis,q2,qsurf,tankCH4)
 
         ! copy albedo and soil thermal inertia on (local) physics grid
@@ -1232,5 +1234,11 @@
  999  continue
 
-      
+
+c================================================================
+c   Initialisation for methane surface tank (added by JVO 2017)
+c================================================================
+      DO ig=1, ngridmx
+         tankCH4(ig)=2.0
+      ENDDO
 
 c=======================================================================
@@ -1339,5 +1347,5 @@
       call physdem1("restartfi.nc",nsoilmx,ngridmx,llm,nqtot,
      &                dtphys,real(day_ini),
-     &                tsurf,tsoil,emis,q2,qsurf)
+     &                tsurf,tsoil,emis,q2,qsurf,tankCH4)
 
 c=======================================================================
Index: trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/start2archive.F
===================================================================
--- trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/start2archive.F	(revision 1788)
+++ trunk/LMDZ.TITAN/libf/dynphy_lonlat/phytitan/start2archive.F	(revision 1789)
@@ -80,4 +80,6 @@
       INTEGER*4 day_ini_fi
 
+!     added by JVO for methane surface tank
+      REAL tankCH4(ngridmx)
 
 c Variable naturelle / grille scalaire
@@ -91,4 +93,6 @@
       REAL emisS(ip1jmp1)
 
+!     added by JVO for methane surface tank
+      REAL tankCH4S(ip1jmp1)
 
 c Variables intermediaires : vent naturel, mais pas coord scalaire
@@ -219,5 +223,5 @@
       CALL phyetat0(.true.,ngridmx,llm,fichnom,0,Lmodif,nsoilmx,nqtot,
      .      day_ini_fi,timefi,
-     .      tsurf,tsoil,emis,q2,qsurf)
+     .      tsurf,tsoil,emis,q2,qsurf,tankCH4)
 
 
@@ -310,4 +314,5 @@
 c q2 --> q2S
 c qsurf --> qsurfS
+c tankCH4 --> tankCH4S
 c
 c-----------------------------------------------------------------------
@@ -320,4 +325,5 @@
       call gr_fi_dyn(llm+1,ngridmx,iip1,jjp1,q2,q2S)
       call gr_fi_dyn(nqtot,ngridmx,iip1,jjp1,qsurf,qsurfS)
+      call gr_fi_dyn(1,ngridmx,iip1,jjp1,tankCH4,tankCH4S)
 
 c=======================================================================
@@ -458,4 +464,9 @@
 ! Note: no need to write volcapa, it is stored in "controle" table
 
+c-----------------------------------------------------------------
+c Ecriture du champs  tankCH4
+c-----------------------------------------------------------------
+      call write_archive(nid,ntime,'tankCH4',
+     &         'Depth of surface methane tank','m',2,tankCH4S)
 
 c Fin 
Index: trunk/LMDZ.TITAN/libf/phytitan/phyetat0_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyetat0_mod.F90	(revision 1788)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyetat0_mod.F90	(revision 1789)
@@ -8,5 +8,5 @@
                      ngrid,nlayer,fichnom,tab0,Lmodif,nsoil,nq, &
                      day_ini,time,tsurf,tsoil, &
-                     emis,q2,qsurf)
+                     emis,q2,qsurf,tankCH4)
 
 ! to use  'getin_p'
@@ -44,4 +44,5 @@
   real,intent(out) :: q2(ngrid,nlayer+1) ! 
   real,intent(out) :: qsurf(ngrid,nq) ! tracers on surface
+  real,intent(out) :: tankCH4(ngrid)  ! depth of CH4 tank
 
 !======================================================================
@@ -217,4 +218,18 @@
 write(*,*) "phyetat0: Surface emissivity <emis> range:", &
              minval(emis), maxval(emis)
+
+! Depth of methane tank (added by JVO 2017)
+ if (startphy_file) then
+   call get_field("tankCH4",tankCH4,found,indextime)
+   if (.not.found) then
+     write(*,*) "phyetat0: Failed loading <tankCH4>"
+     !  call abort
+     tankCH4(:)=2.
+   endif
+ else
+   tankCH4(:)=2.
+ endif ! of if (startphy_file)
+ write(*,*) "phyetat0: Depth of methane tank <tankCH4> range:", &
+              minval(tankCH4), maxval(tankCH4)
 
 ! pbl wind variance
Index: trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1788)
+++ trunk/LMDZ.TITAN/libf/phytitan/phyredem.F90	(revision 1789)
@@ -135,5 +135,5 @@
 
 subroutine physdem1(filename,nsoil,ngrid,nlay,nq, &
-                    phystep,time,tsurf,tsoil,emis,q2,qsurf)
+                    phystep,time,tsurf,tsoil,emis,q2,qsurf,tankCH4)
   ! write time-dependent variable to restart file
   use iostart, only : open_restartphy, close_restartphy, & 
@@ -155,4 +155,5 @@
   real,intent(in) :: q2(ngrid,nlay+1)
   real,intent(in) :: qsurf(ngrid,nq)
+  real,intent(in) :: tankCH4(ngrid)
 
   integer :: iq
@@ -176,4 +177,7 @@
   ! Planetary Boundary Layer
   call put_field("q2","pbl wind variance",q2)
+
+  ! Methane tank depth
+  call put_field("tankCH4","Depth of methane tank",tankCH4)
   
 ! tracers
Index: trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1788)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1789)
@@ -375,4 +375,7 @@
 !$OMP THREADPRIVATE(dycchi,qysat,nomqy)
 
+      real,dimension(:),allocatable,save :: tankCH4 ! Depth of surface methane tank
+!$OMP THREADPRIVATE(tankCH4)
+
 !-----------------------------------------------------------------------------
       
@@ -402,4 +405,5 @@
         ALLOCATE(qsurf(ngrid,nq))  
         ALLOCATE(q2(ngrid,nlayer+1)) 
+        ALLOCATE(tankCH4(ngrid)) 
         ALLOCATE(ztprevious(ngrid,nlayer))
         ALLOCATE(zuprevious(ngrid,nlayer))
@@ -448,5 +452,5 @@
 !        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
          call phyetat0(startphy_file,ngrid,nlayer,"startfi.nc",0,0,nsoilmx,nq,      &
-                       day_ini,time_phys,tsurf,tsoil,emis,q2,qsurf)                       
+                       day_ini,time_phys,tsurf,tsoil,emis,q2,qsurf,tankCH4)                       
          if (.not.startphy_file) then
            ! additionnal "academic" initialization of physics
@@ -1241,5 +1245,5 @@
             call physdem1("restartfi.nc",nsoilmx,ngrid,nlayer,nq, &
                           ptimestep,ztime_fin,                    &
-                          tsurf,tsoil,emis,q2,qsurf_hist)
+                          tsurf,tsoil,emis,q2,qsurf_hist,tankCH4)
          endif
          